stages:
  - build
  - deploy

web:build:
  stage: build
  image: node:latest
  script:
    - npm install
    - npm run build
  artifacts:
    paths:
      - public
  only:
  - main

pages:
  stage: deploy
  image: alpine:latest
  script:
    - gzip -k -9 $(find public -type f)
  artifacts:
    paths:
    - public
  only:
  - main

